Bug 4093 - Bad substitution for %a variable for XP64
Bad substitution for %a variable for XP64
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Config Files
3.0.21b
PPC Windows XP
: P3 major
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-08 10:03 UTC by Walter Laub
Modified: 2007-02-09 13:40 UTC (History)
0 users

See Also:


Attachments
Patch for %a and Windows XP 64bit (915 bytes, text/plain)
2007-02-09 13:39 UTC, Gerald (Jerry) Carter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Laub 2006-09-08 10:03:34 UTC
The %a variable is not well substituted for XP64.

For separation of profiles of different OS we use the %a variable:
        logon path = \\%L\Profiles\%U\%a

With samba3021b the variable points to Win2K for XP64! This result in 
trouble with the user profiles!

--Walter
Comment 1 Gerald (Jerry) Carter 2006-09-08 10:06:01 UTC
Samba for lastest builds of Vista
Comment 2 Gerald (Jerry) Carter 2007-02-08 15:33:02 UTC
The Vista expansion should be fixed now.  Look at WinXP64.
Comment 3 Gerald (Jerry) Carter 2007-02-09 13:39:57 UTC
Created attachment 2283 [details]
Patch for %a and Windows XP 64bit
Comment 4 Gerald (Jerry) Carter 2007-02-09 13:40:23 UTC
Fixed in svn.  Patch attached.